﻿using System;
using System.Windows.Forms;

namespace misu
{
    internal class Program : IDisposable
    {
        #region Static Fields and Constants

        private static Form _form;

        #endregion

        #region Constructors, Destructors and Finalizers

        public void Dispose()
        {
            _form?.Dispose();
            _form = null;
        }

        #endregion

        #region Private Methods

        /// <summary>
        ///     The main entry point for the application.
        /// </summary>
        [STAThread]
        private static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            _form = new Form1();
            Application.Run();
        }

        #endregion
    }
}