﻿using System;
using System.Text;
using System.Windows.Forms;
using static misu.Utilities;

namespace misu
{
    public partial class AboutForm : Form
    {
        #region Constructors, Destructors and Finalizers

        public AboutForm()
        {
            InitializeComponent();
        }

        #endregion

        #region Event Handlers

        private async void OnLoad(object sender, EventArgs e)
        {
            var bytes = await LoadResource("AboutText.rtf");

            var rtf = Encoding.UTF8.GetString(bytes);

            this.Execute(() => { richTextBox1.Rtf = rtf; });
        }

        #endregion
    }
}